2.00+ : MSSQL not offered as an instal option

More
4 years 3 weeks ago #96655 by mascarpone
mascarpone created the topic: 2.00+ : MSSQL not offered as an instal option
Dear Colleagues,

I would like to upgrade to 2.00 and have asked my IT counterpart to do so. However, during the instal the only option he's offered is MySQL (we need to have that installed on MSSQL)

Denis on the French forum has suggested we look into the PDOs supported and this is what came out:

mssql
MSSQL Support enabled
Active Persistent Links 0
Active Links 0
Library version FreeTDS

Directive Local Value Master Value
mssql.allow_persistent On On
mssql.batchsize 0 0
mssql.charset no value no value
mssql.compatability_mode Off Off
mssql.connect_timeout 5 5
mssql.datetimeconvert On On
mssql.max_links Unlimited Unlimited
mssql.max_persistent Unlimited Unlimited
mssql.max_procs Unlimited Unlimited
mssql.min_error_severity 10 10
mssql.min_message_severity 10 10
mssql.secure_connection Off Off
mssql.textlimit Server default Server default
mssql.textsize Server default Server default
mssql.timeout 60 60


PDO support enabled
PDO drivers dblib, mysql, sqlite

pdo_dblib
PDO Driver for FreeTDS/Sybase DB-lib enabled
Flavour freetds

pdo_mysql
PDO Driver for MySQL enabled
Client API version mysqlnd 5.0.10 - 20111026 - $Id: b0b3b15c693b7f6aeb3aa66b646fee339f175e39 $

Directive Local Value Master Value
pdo_mysql.default_socket /tmp/mysql.sock /tmp/mysql.sock

pdo_sqlite
PDO Driver for SQLite 3.x enabled
SQLite Library 3.7.7.1


Any help/hints on why this is not working for us would be extremelly welcomed!!!

Thanks!

Mas

Please Log in to join the conversation.

More
4 years 2 weeks ago #96712 by mascarpone
mascarpone replied the topic: 2.00+ : MSSQL not offered as an instal option
Damn I'll have to tell them to move ahead with 1.92 I guess (d'ho!!! :pinch: )

Please Log in to join the conversation.

More
4 years 2 weeks ago #96716 by c_schmitz
c_schmitz replied the topic: 2.00+ : MSSQL not offered as an instal option
You need to have the driver pdo_sqlsrv installed.

See php.net/manual/en/ref.pdo-sqlsrv.php for details.

Best regards

Carsten Schmitz
LimeSurvey project leader

Please Log in to join the conversation.

More
4 years 2 weeks ago #96740 by mascarpone
mascarpone replied the topic: 2.00+ : MSSQL not offered as an instal option
Ahhhhhhhhhhh... sent that straight away to my colleague... hope it's not too late.
Thanks so much for that!!!

Please Log in to join the conversation.

More
4 years 2 weeks ago #96743 by DenisChenu
DenisChenu replied the topic: 2.00+ : MSSQL not offered as an instal option
Oups,

It's in manual ... manual.limesurvey.org/Installation#1._Ma...rvey_on_your_website

PDO database driver for MySQL (pdo_mysql or pdo_mysqli) or Postgres (pdo_pgsql) or MSSQL (pdo_sqlsrv)

If i read (or you ;) ) manual it's more quick.

Thank Carsten.

Denis

Assistance on LimeSurvey forum and LimeSurvey core development are on my free time.
I'm not a LimeSurvey GmbH member, professional service on demand (or search sondages pro).
An error happen ? Before make a new topic : remind the Debug mode .

Please Log in to join the conversation.

More
4 years 2 weeks ago #96746 by mascarpone
mascarpone replied the topic: 2.00+ : MSSQL not offered as an instal option
Yes Denis sorry for that, I agree!

My problem is server management issues go beyond my understanding :blush: (although I now have a better idea...) and my IT colleagues was I imagine overwhelmed with other requests... In any way I'll always try to find out the info first not to burden too much and again, thanks a million for your help!!! :)

Please Log in to join the conversation.

More
4 years 2 weeks ago #96776 by mascarpone
mascarpone replied the topic: 2.00+ : MSSQL not offered as an instal option
Aie, apparently it is not supported under Linux (am I doomed?!!!)... but my DB colleague will further read the install documentation ;)

Please Log in to join the conversation.

More
3 years 8 months ago #100354 by mascarpone
mascarpone replied the topic: 2.00+ : MSSQL not offered as an instal option
That was it and now it is:

Dans d'autres nouvelles, la dernière version 2.00+ supporte MSSQL sur Linux de nouveau. Cette fonctionnalité a été absente pour un bon moment et a empêché certaines personnes de faire la mise à jour de 1.92 à 2.0. Aucune raison de s'en priver maintenant.

CONGRATS'!

Please Log in to join the conversation.

More
3 years 7 months ago #101116 by mascarpone
mascarpone replied the topic: 2.00+ : MSSQL not offered as an instal option
Aouch' actually no :( . My IT colleague still ran into problems. Here is his return:

I am sorry but this version of limesurvey does not work with in our environment
I tried the freetds driver , limesurvey does not see it

I tried the pdo driver but the Microsoft SQL server 2008 does not understand what limesurvey is sending to it

Please Log in to join the conversation.

More
3 years 7 months ago #101275 by mascarpone
mascarpone replied the topic: 2.00+ : MSSQL not offered as an instal option
Dear colleagues,

Just to make sure the above message did not fall through the cracks. Not wanting to be pushy in any way, but just wanted to make sure this is seen, as the bug was said to eb resolved, but actually seems to be still there.

Below the message received from our IT colleagues:

I am sorry but this version of limesurvey does not work with in our environment
I tried the freetds driver , limesurvey does not see it
I tried the pdo driver but the Microsoft SQL server 2008 does not understand what limesurvey is sending to it


Any idea why that is? We now are serious LimeSurvey addicts :) and would really like to be able to upgrade asap, so many thanks for your help,

Mas

Please Log in to join the conversation.

More
3 years 7 months ago #101284 by c_schmitz
c_schmitz replied the topic: 2.00+ : MSSQL not offered as an instal option
It was tested and it works fine here. I am sorry but supporting someone by third-hand claims isn't really viable.

Best regards

Carsten Schmitz
LimeSurvey project leader
The following user(s) said Thank You: mascarpone

Please Log in to join the conversation.

More
3 years 7 months ago #101292 by mascarpone
mascarpone replied the topic: 2.00+ : MSSQL not offered as an instal option
Yes I understand, sorry for that I am caught in an unconfortable solution as LimeSurvey is not yet "officially" supported - hence all my struggles internally to sort this out.

Thanks anyway for all your help so far! Will try to find out another solution here

Please Log in to join the conversation.

More
3 years 7 months ago - 3 years 7 months ago #101293 by c_schmitz
c_schmitz replied the topic: 2.00+ : MSSQL not offered as an instal option
If the pdo_dblib driver is properly installed in PHP it will show up. That and the freeTDS driver are the only prerequisites to get it working under Linux.

Best regards

Carsten Schmitz
LimeSurvey project leader
Last Edit: 3 years 7 months ago by c_schmitz.
The following user(s) said Thank You: mascarpone

Please Log in to join the conversation.

More
3 years 7 months ago #101342 by mascarpone
mascarpone replied the topic: 2.00+ : MSSQL not offered as an instal option
Thanks again a lot for all your support. I am trying to get somebody skilled to follow on this issue directly. Hope he will be in touch with you soon,

Please Log in to join the conversation.

More
3 years 6 months ago #102307 by mascarpone
mascarpone replied the topic: 2.00+ : MSSQL not offered as an instal option
Just to follow on this: we have not been able to solve this issue in our environment. This has actually decided us to move to MySQL, which is probably the way to go...

Please Log in to join the conversation.

Start now!

Just create your account and start using Limesurvey today.

Register now